Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 400907 - media-tv/mythtv-0.24.2_p20120122: ebuild for mythtv 0.24.2 incl. plugins
Summary: media-tv/mythtv-0.24.2_p20120122: ebuild for mythtv 0.24.2 incl. plugins
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks:
 
Reported: 2012-01-26 12:51 UTC by Nicolas Pöhlmann
Modified: 2012-07-08 23:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mytharchive-0.24.2 ebuild (mytharchive-0.24.2_p20120122.ebuild,4.53 KB, text/plain)
2012-01-26 12:55 UTC, Nicolas Pöhlmann
Details
patch for mytharchive-0.24.2 (mythburn-ffmpeg.patch,1.81 KB, patch)
2012-01-26 12:56 UTC, Nicolas Pöhlmann
Details | Diff
mythmusic-0.24.2 ebuild (mythmusic-0.24.2_p20120122.ebuild,5.22 KB, text/plain)
2012-01-26 12:56 UTC, Nicolas Pöhlmann
Details
mythtv-0.24.2 ebuild (mythtv-0.24.2_p20120122.ebuild,9.47 KB, text/plain)
2012-01-26 12:57 UTC, Nicolas Pöhlmann
Details
mythvideo-0.24.2 ebuild (mythvideo-0.24.2_p20120122.ebuild,5.01 KB, text/plain)
2012-01-26 12:57 UTC, Nicolas Pöhlmann
Details
mythweather-0.24.2_p20120122.ebuild (mythweather-0.24.2_p20120122.ebuild,4.22 KB, text/plain)
2012-01-30 07:46 UTC, Nicolas Pöhlmann
Details
mythgallery-0.24.2_p20120122.ebuild (mythgallery-0.24.2_p20120122.ebuild,4.26 KB, text/plain)
2012-01-30 08:13 UTC, Nicolas Pöhlmann
Details
mythtv-0.24.2 ebuild (mythtv-0.24.2_p20120122-v2.ebuild,9.40 KB, text/plain)
2012-02-19 11:10 UTC, Nicolas Pöhlmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Pöhlmann 2012-01-26 12:51:58 UTC
I've created the ebuilds for mythtv version 0.24.2 including mytharchive, mythmusic and mythvideo.

Changes in mythtv:

New USE-Flags
---------------
+ fftw (to get Fastest Fourier Transform support)
+ pulseaudio (to enable/disable Pulseaudio-Output)

Others
-----------------
- Removed v4l-patch (included in mythtv-0.24.2 itself)
+ Cleanups and additions

Changes in mytharchive:

New USE-Flags
---------------
+ debug
+ profile

Others
---------------
+ added RDEPEND's
+ added a patch for ffmpeg-compatibility
+ Cleanups and additions

Changes in mythmusic:

New USE-Flags
---------------
+ debug
+ profile

Others
---------------
+ Cleanups and additions

Changes in mythvideo:

New USE-Flags
---------------
+ debug
+ profile

Others
---------------
+ Cleanups and additions

Reproducible: Always
Comment 1 Nicolas Pöhlmann 2012-01-26 12:55:53 UTC
Created attachment 299959 [details]
mytharchive-0.24.2 ebuild
Comment 2 Nicolas Pöhlmann 2012-01-26 12:56:32 UTC
Created attachment 299963 [details, diff]
patch for mytharchive-0.24.2
Comment 3 Nicolas Pöhlmann 2012-01-26 12:56:49 UTC
Created attachment 299965 [details]
mythmusic-0.24.2 ebuild
Comment 4 Nicolas Pöhlmann 2012-01-26 12:57:07 UTC
Created attachment 299967 [details]
mythtv-0.24.2 ebuild
Comment 5 Nicolas Pöhlmann 2012-01-26 12:57:22 UTC
Created attachment 299969 [details]
mythvideo-0.24.2 ebuild
Comment 6 Nicolas Pöhlmann 2012-01-26 22:44:46 UTC
TODO: 

1. rewrite mythtv.eclass to shrink size of the plugins after version 0.23 is cleaned out from portage and 0.24 got stable
2. port all other plugins to version 0.24.2
Comment 7 Nicolas Pöhlmann 2012-01-30 07:46:06 UTC
Created attachment 300337 [details]
mythweather-0.24.2_p20120122.ebuild
Comment 8 Nicolas Pöhlmann 2012-01-30 07:50:14 UTC
I've uploaded the ebuild for mythweather version 0.24.2.

Changes in mythweather:

New USE-Flags
---------------
None

Others
-----------------
+ Updated dependencies for perl scripts
+ Cleanups and additions
Comment 9 Nicolas Pöhlmann 2012-01-30 08:13:15 UTC
Created attachment 300345 [details]
mythgallery-0.24.2_p20120122.ebuild
Comment 10 Nicolas Pöhlmann 2012-01-30 08:13:50 UTC
I've uploaded the ebuild for mythgallery version 0.24.2.

Changes in mythgallery:

New USE-Flags
---------------
+ Raw

Others
-----------------
+ Cleanups and additions
Comment 11 Matthew Schultz 2012-02-17 14:37:55 UTC
(In reply to comment #4)
> Created attachment 299967 [details]
> mythtv-0.24.2 ebuild

media-tv/linuxtv-dvb-headers has changed to virtual/linuxtv-dvb-headers, so you'll need to update the dependency for that.
Comment 12 Nicolas Pöhlmann 2012-02-19 11:09:57 UTC
(In reply to comment #11)
> (In reply to comment #4)
> > Created attachment 299967 [details]
> > mythtv-0.24.2 ebuild
> 
> media-tv/linuxtv-dvb-headers has changed to virtual/linuxtv-dvb-headers, so
> you'll need to update the dependency for that.

I fixed it in the new ebuild.
Comment 13 Nicolas Pöhlmann 2012-02-19 11:10:41 UTC
Created attachment 302485 [details]
mythtv-0.24.2 ebuild
Comment 14 Doug Goldstein gentoo-dev 2012-07-08 23:03:52 UTC
0.24.x won't be seeing anymore Gentoo love. Use 0.25.1 or newer.
Comment 15 Doug Goldstein gentoo-dev 2012-07-08 23:04:21 UTC
Unless of course you would like to become a Gentoo developer and help maintain these ebuilds then we can definitely talk.